2023-06-02 05:42:24 UTC
724 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.8.1-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.8.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:e996822e3bf30e4160bdb68906e63c226910f63f161100bf04642f443cb2eeab - 10.42% (75.5 MB)
[#001] sha256:36b61797c1e3c6d3f23c1aa848e42c0b5e6cc35c534d8d503ffb9bad27ecb239 - 0.0% (456 Bytes)
[#002] sha256:0e1c3580ef9a5bb8ee8a7335493ebecc2c3d39789b312b1d479d3a3ac48c5372 - 16.18% (117 MB)
[#003] sha256:b52b7ff88d8972f992470d295ea9e8d99f9721a119e4124dfa18622380c1aee9 - 73.4% (531 MB)
[#004] sha256:54283ba616a2ef4cf03c076cb44c012f085968131100a00b5d7d0989bc76c474 - 0.0% (202 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.5" distribution-scope="public"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) ENV container oci
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) COPY dir:0edc96071d03673970c637eceeec74369b8fdf1ae3d39376b389539c592ba907 in /
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-03-25T16:12:35" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="e98aeded1f394c8879effc230f1b407e9e55e58f" "build-date"="2025-03-25T15:58:30Z" "release"="1742918310"
2023-06-02 05:42:24 UTC (FROM quay.io/redhat-user-workloads/osci-rhel-containers-tenant/rhel-9-5/ubi9-9-5:e98aeded1f394c8879effc230f1b407e9e55e58f-linux-x86-64)/bin/sh
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-5.8.1-release
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-5.8.1-RELEASE
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
2023-06-02 05:42:24 UTC
707 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.8.1-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.8.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:b452a63227db6d456465c0555e20993f41c55628f058989c5f14eea506e4d722 - 10.36% (73.2 MB)
[#001] sha256:45e2a478782fd67aaa55b76530967d570765009de89d1fe3c6e7a5c1f81781b8 - 0.0% (457 Bytes)
[#002] sha256:0e741203ce5c87ab52306882c5f09254a66d60107345f9ab6421f0ed87973847 - 15.73% (111 MB)
[#003] sha256:8ab072efa59de49f09abfc215fa1af91be0a5ee51fc34217fd068fec8b3b0a31 - 73.9% (522 MB)
[#004] sha256:a98e5839df1617d87198342a471b57bec30e80da7650ef447fbbd5ad7bc945b9 - 0.0% (210 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.5" distribution-scope="public"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) ENV container oci
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) COPY dir:790f9791dd310f5c4f341398ef28213daea60b81f9d5ca5d793e3b44f1a87b8a in /
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-06-02 05:42:24 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-03-25T16:16:51" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="e98aeded1f394c8879effc230f1b407e9e55e58f" "build-date"="2025-03-25T15:58:30Z" "release"="1742918310"
2023-06-02 05:42:24 UTC (FROM quay.io/redhat-user-workloads/osci-rhel-containers-tenant/rhel-9-5/ubi9-9-5:e98aeded1f394c8879effc230f1b407e9e55e58f-linux-arm64)/bin/sh
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-5.8.1-release
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-5.8.1-RELEASE
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.